var search_data = {"index":{"searchIndex":["contextify","classmethods","contextnotfound","contextifiedclassmethods","pendingcontext","unknowncontext","contextify()","contexts()","each()","each_block()","each_class()","included()","is_context?()","is_loading?()","is_pending?()","load_block()","load_blocks()","load_context()","load_context()","load_context_block()","load_contexts()","loading()","new()","pending()","waiting()","readme"],"longSearchIndex":["contextify","contextify::classmethods","contextify::contextnotfound","contextify::contextifiedclassmethods","contextify::pendingcontext","contextify::unknowncontext","contextify::classmethods#contextify()","contextify::contexts()","contextify::pendingcontext#each()","contextify::pendingcontext#each_block()","contextify::pendingcontext#each_class()","contextify::included()","contextify::is_context?()","contextify::is_loading?()","contextify::is_pending?()","contextify::load_block()","contextify::load_blocks()","contextify::load_context()","contextify::contextifiedclassmethods#load_context()","contextify::contextifiedclassmethods#load_context_block()","contextify::load_contexts()","contextify::loading()","contextify::pendingcontext::new()","contextify::pending()","contextify::waiting()",""],"info":[["Contextify","","Contextify.html","",""],["Contextify::ClassMethods","","Contextify/ClassMethods.html","",""],["Contextify::ContextNotFound","","Contextify/ContextNotFound.html","",""],["Contextify::ContextifiedClassMethods","","Contextify/ContextifiedClassMethods.html","",""],["Contextify::PendingContext","","Contextify/PendingContext.html","",""],["Contextify::UnknownContext","","Contextify/UnknownContext.html","",""],["contextify","Contextify::ClassMethods","Contextify/ClassMethods.html#method-i-contextify","(name)","<p>Contextifies the class.\n<p>@param [Symbol, String] name\n\n<pre>The context name to assign to the class.</pre>\n"],["contexts","Contextify","Contextify.html#method-c-contexts","()","<p>All contextified classes.\n<p>@return [Hash{Symbol =&gt; Class}]\n\n<pre>All defined contexts and their classes.</pre>\n"],["each","Contextify::PendingContext","Contextify/PendingContext.html#method-i-each","(&block)","<p>Iterates over each context name and block in the pending context.\n<p>@yield [name, block]\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">The</span> <span class=\"ruby-identifier\">block</span> <span class=\"ruby-identifier\">will</span> <span class=\"ruby-identifier\">be</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["each_block","Contextify::PendingContext","Contextify/PendingContext.html#method-i-each_block","(&block)","<p>Iterates over each block in the pending context.\n<p>@yield [block]\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">The</span> <span class=\"ruby-identifier\">block</span> <span class=\"ruby-identifier\">will</span> <span class=\"ruby-identifier\">be</span> <span class=\"ruby-identifier\">passed</span> <span class=\"ruby-identifier\">each</span> <span class=\"ruby-identifier\">pending</span> <span class=\"ruby-identifier\">context</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["each_class","Contextify::PendingContext","Contextify/PendingContext.html#method-i-each_class","(&block)","<p>Iterates over each context name in the pending context.\n<p>@yield [name]\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">The</span> <span class=\"ruby-identifier\">block</span> <span class=\"ruby-identifier\">will</span> <span class=\"ruby-identifier\">be</span> <span class=\"ruby-identifier\">passed</span> <span class=\"ruby-identifier\">each</span> <span class=\"ruby-identifier\">name</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["included","Contextify","Contextify.html#method-c-included","(base)",""],["is_context?","Contextify","Contextify.html#method-c-is_context-3F","(name)","<p>Determines whether a context with a specific name has been defined.\n<p>@param [Symbol, String] name\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">The</span> <span class=\"ruby-identifier\">name</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["is_loading?","Contextify","Contextify.html#method-c-is_loading-3F","(path)","<p>Determines whether contexts are being loaded from a specific path.\n<p>@param [String] path\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">The</span> <span class=\"ruby-identifier\">path</span> <span class=\"ruby-identifier\">to</span> <span class=\"ruby-identifier\">check</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["is_pending?","Contextify","Contextify.html#method-c-is_pending-3F","()","<p>Determines whether there are pending contexts.\n<p>@return [Boolean]\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">Specifies</span> <span class=\"ruby-identifier\">whether</span> <span class=\"ruby-identifier\">there</span> <span class=\"ruby-identifier\">is</span> <span class=\"ruby-identifier\">a</span> <span class=\"ruby-identifier\">pending</span> <span class=\"ruby-identifier\">context</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["load_block","Contextify","Contextify.html#method-c-load_block","(name,path,&block)","<p>Loads the context block for the context with the specific name from a specific path.\n<p>@param [Symbol, String] …\n"],["load_blocks","Contextify","Contextify.html#method-c-load_blocks","(path,&block)","<p>Loads all context blocks from a specific path.\n<p>@param [String] path\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">The</span> <span class=\"ruby-identifier\">path</span> <span class=\"ruby-identifier\">to</span> <span class=\"ruby-identifier\">load</span> <span class=\"ruby-identifier\">all</span> <span class=\"ruby-identifier\">context</span> <span class=\"ruby-identifier\">blocks</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["load_context","Contextify","Contextify.html#method-c-load_context","(name,path,*arguments)","<p>Loads the context object of a specific name and from the specific path.\n<p>@param [Symbol, String] name\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">The</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["load_context","Contextify::ContextifiedClassMethods","Contextify/ContextifiedClassMethods.html#method-i-load_context","(path,*arguments)","<p>Loads a compatible context.\n<p>@param [String] path\n\n<pre>The path to load the context from.</pre>\n"],["load_context_block","Contextify::ContextifiedClassMethods","Contextify/ContextifiedClassMethods.html#method-i-load_context_block","(path)","<p>Loads a block defined under the context.\n<p>@param [String] path\n\n<pre>The path to load the block from.</pre>\n"],["load_contexts","Contextify","Contextify.html#method-c-load_contexts","(path,&block)","<p>Loads all context objects from a specific path.\n<p>@param [String] path\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">The</span> <span class=\"ruby-identifier\">path</span> <span class=\"ruby-identifier\">to</span> <span class=\"ruby-identifier\">load</span> <span class=\"ruby-identifier\">all</span> <span class=\"ruby-identifier\">context</span> <span class=\"ruby-identifier\">objects</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["loading","Contextify","Contextify.html#method-c-loading","(path)","<p>Finds the first pending context being loaded from a specific path.\n<p>@param [String] path\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">The</span> <span class=\"ruby-identifier\">path</span> <span class=\"ruby-identifier\">which</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["new","Contextify::PendingContext","Contextify/PendingContext.html#method-c-new","(path)","<p>Creates a new PendingContext object.\n<p>@param [String] path\n\n<pre>The path the pending context was loaded from.</pre>\n"],["pending","Contextify","Contextify.html#method-c-pending","()","<p>The first context waiting to be fully loaded.\n<p>@return [PendingContext]\n\n<pre>The pending context being loaded.</pre>\n"],["waiting","Contextify","Contextify.html#method-c-waiting","()","<p>The contexts waiting to be fully loaded.\n<p>@return [Array&lt;PendingContext&gt;]\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">Contexts</span> <span class=\"ruby-identifier\">which</span> <span class=\"ruby-identifier\">are</span> <span class=\"ruby-identifier\">waiting</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["README","","README_md.html","","<p>Contextify\n<p>github.com/postmodern/contextify\n<p>github.com/postmodern/contextify/issues\n"]]}}